# -*- coding: utf-8 -*- 
# @Time    : 05/10/2024 
# @Author  : nzooherd 
# @File    : callback_dataover.py 
# @Software: Visual Studio Code

class CallbackDataOverException(Exception):
    """
    Exception raise when the callback data in button is over 64 bytes
    """
    def __init__(self, data_text: str) -> None:
        message = f"Callback data is over 64 bytes: {data_text}"
        super().__init__(message)
 